For the complete documentation index, see llms.txt. This page is also available as Markdown.

Prediction Bot

Get prediction market by slug

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
exchangestringRequired

Prediction market exchange

Example: polymarket
slugstringRequired
Responses
200

Prediction market data

application/json
anyOptional
get/api/v2/bot/signal/prediction/market/{exchange}/{slug}
GET /api/v2/bot/signal/prediction/market/{exchange}/{slug} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Get all prediction signal bots

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's prediction signal bots

application/json
PredictionSignalBot[]Optional
get/api/v2/bot/signal/prediction
GET /api/v2/bot/signal/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's prediction signal bots

[]

Create a new prediction signal bot

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the bot max 255 characters

Example: My bot
folder_idnumberOptional

The folder id of the bot

Example: 12
webhook_idnumberRequired

The id of a bot webhook

Example: 1
api_idnumberRequired

The id of a bot Prediction API key

Example: 2
slug_from_signalbooleanRequired

Set to true to specify a market slug dynamically within the signal payload.

Example: true
urlstringOptional

The market url (required if slug_from_signal is false)

Example: https://polymarket.com/event/elon-musk-of-tweets-april-21-april-28/elon-musk-of-tweets-april-21-april-28-180-199#xpkQ2pz
amount_from_signalbooleanRequired

Set if amount is coming from signal

Example: false
amountnumberOptional

The amount of the bot in USDC (if amount_from_signal is false)

Example: 100
delaynumberOptional

Set how often the bot will check for new signals. eg. 10 means 10 in 1 second

Example: 10
Responses
201

Bot created successfully

application/json
anyOptional
post/api/v2/bot/signal/prediction
POST /api/v2/bot/signal/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 266

{
  "name": "My bot",
  "folder_id": 12,
  "webhook_id": "1",
  "api_id": "2",
  "slug_from_signal": true,
  "url": "https://polymarket.com/event/elon-musk-of-tweets-april-21-april-28/elon-musk-of-tweets-april-21-april-28-180-199#xpkQ2pz",
  "amount_from_signal": false,
  "amount": 100,
  "delay": 10
}

No content

Get the total number of Prediction signal bots

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

Total number of Prediction signal bots

application/json
totalnumberOptionalExample: 10
get/api/v2/bot/signal/prediction/total
GET /api/v2/bot/signal/prediction/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

Total number of Prediction signal bots

{
  "total": 10
}

Get prediction signal bot by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Prediction signal bot data

application/json
anyOptional
get/api/v2/bot/signal/prediction/{id}
GET /api/v2/bot/signal/prediction/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update prediction signal bot

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the bot max 255 characters

Example: My bot
folder_idnumberOptional

The folder id of the bot

Example: 12
webhook_idnumberRequired

The id of a bot webhook

Example: 1
api_idnumberRequired

The id of a bot Prediction API key

Example: 2
slug_from_signalbooleanRequired

Set to true to specify a market slug dynamically within the signal payload.

Example: true
urlstringOptional

The market url (required if slug_from_signal is false)

Example: https://polymarket.com/event/elon-musk-of-tweets-april-21-april-28/elon-musk-of-tweets-april-21-april-28-180-199#xpkQ2pz
amount_from_signalbooleanRequired

Set if amount is coming from signal

Example: false
amountnumberOptional

The amount of the bot in USDC (if amount_from_signal is false)

Example: 100
delaynumberOptional

Set how often the bot will check for new signals. eg. 10 means 10 in 1 second

Example: 10
Responses
200

Bot updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/bot/signal/prediction/{id}
PUT /api/v2/bot/signal/prediction/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 266

{
  "name": "My bot",
  "folder_id": 12,
  "webhook_id": "1",
  "api_id": "2",
  "slug_from_signal": true,
  "url": "https://polymarket.com/event/elon-musk-of-tweets-april-21-april-28/elon-musk-of-tweets-april-21-april-28-180-199#xpkQ2pz",
  "amount_from_signal": false,
  "amount": 100,
  "delay": 10
}
{
  "message": "Success"
}

Delete prediction signal bot

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Bot deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/bot/signal/prediction/{id}
DELETE /api/v2/bot/signal/prediction/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Update prediction signal bot status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/bot/signal/prediction/{id}/status
PUT /api/v2/bot/signal/prediction/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Duplicate a prediction signal bot

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
idstringRequired

Bot ID to duplicate

Responses
201

Bot duplicated successfully

application/json
anyOptional
post/api/v2/bot/signal/prediction/duplicate
POST /api/v2/bot/signal/prediction/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}

No content

Last updated